import{S as Pr,i as $r,s as Vr,e as n,k as d,w as v,t as r,M as Ir,c as s,d as i,m as p,a,x as b,h as l,b as c,G as e,g as m,y as D,q as w,o as y,B as x,v as kr,L as At}from"../../../chunks/vendor-hf-doc-builder.js";import{D as T}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as lt}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as xe}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as zt}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Tr(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionPipeline
import torch
import requests
from io import BytesIO
from PIL import Image

# let's download an initial image
url = "https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg"

response = requests.get(url)
image = Image.open(BytesIO(response.content)).convert("RGB")
text = "a red car in the sun"

pipe = VersatileDiffusionPipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
text_to_image_strength = 0.75

image = pipe.dual_guided(
    prompt=text, image=image, text_to_image_strength=text_to_image_strength, generator=generator
).images[0]
image.save("./car_variation.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s download an initial image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;a red car in the sun&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_to_image_strength = <span class="hljs-number">0.75</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe.dual_guided(
<span class="hljs-meta">... </span>    prompt=text, image=image, text_to_image_strength=text_to_image_strength, generator=generator
<span class="hljs-meta">... </span>).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./car_variation.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function jr(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionPipeline
import torch
import requests
from io import BytesIO
from PIL import Image

# let's download an initial image
url = "https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg"

response = requests.get(url)
image = Image.open(BytesIO(response.content)).convert("RGB")

pipe = VersatileDiffusionPipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
image = pipe.image_variation(image, generator=generator).images[0]
image.save("./car_variation.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s download an initial image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe.image_variation(image, generator=generator).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./car_variation.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function Er(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionPipeline
import torch

pipe = VersatileDiffusionPipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
image = pipe.text_to_image("an astronaut riding on a horse on mars", generator=generator).images[0]
image.save("./astronaut.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe.text_to_image(<span class="hljs-string">&quot;an astronaut riding on a horse on mars&quot;</span>, generator=generator).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./astronaut.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function qr(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionTextToImagePipeline
import torch

pipe = VersatileDiffusionTextToImagePipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe.remove_unused_weights()
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
image = pipe("an astronaut riding on a horse on mars", generator=generator).images[0]
image.save("./astronaut.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionTextToImagePipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionTextToImagePipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.remove_unused_weights()
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe(<span class="hljs-string">&quot;an astronaut riding on a horse on mars&quot;</span>, generator=generator).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./astronaut.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function Sr(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionImageVariationPipeline
import torch
import requests
from io import BytesIO
from PIL import Image

# let's download an initial image
url = "https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg"

response = requests.get(url)
image = Image.open(BytesIO(response.content)).convert("RGB")

pipe = VersatileDiffusionImageVariationPipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
image = pipe(image, generator=generator).images[0]
image.save("./car_variation.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionImageVariationPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s download an initial image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionImageVariationPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe(image, generator=generator).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./car_variation.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function Lr(S){let g,$,_,u,P;return u=new lt({props:{code:`from diffusers import VersatileDiffusionDualGuidedPipeline
import torch
import requests
from io import BytesIO
from PIL import Image

# let's download an initial image
url = "https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg"

response = requests.get(url)
image = Image.open(BytesIO(response.content)).convert("RGB")
text = "a red car in the sun"

pipe = VersatileDiffusionDualGuidedPipeline.from_pretrained(
    "shi-labs/versatile-diffusion", torch_dtype=torch.float16
)
pipe.remove_unused_weights()
pipe = pipe.to("cuda")

generator = torch.Generator(device="cuda").manual_seed(0)
text_to_image_strength = 0.75

image = pipe(
    prompt=text, image=image, text_to_image_strength=text_to_image_strength, generator=generator
).images[0]
image.save("./car_variation.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionDualGuidedPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s download an initial image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://huggingface.co/datasets/diffusers/images/resolve/main/benz.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;a red car in the sun&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = VersatileDiffusionDualGuidedPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.remove_unused_weights()
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = torch.Generator(device=<span class="hljs-string">&quot;cuda&quot;</span>).manual_seed(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_to_image_strength = <span class="hljs-number">0.75</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe(
<span class="hljs-meta">... </span>    prompt=text, image=image, text_to_image_strength=text_to_image_strength, generator=generator
<span class="hljs-meta">... </span>).images[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;./car_variation.png&quot;</span>)`}}),{c(){g=n("p"),$=r("Examples:"),_=d(),v(u.$$.fragment)},l(o){g=s(o,"P",{});var h=a(g);$=l(h,"Examples:"),h.forEach(i),_=p(o),b(u.$$.fragment,o)},m(o,h){m(o,g,h),e(g,$),m(o,_,h),D(u,o,h),P=!0},p:At,i(o){P||(w(u.$$.fragment,o),P=!0)},o(o){y(u.$$.fragment,o),P=!1},d(o){o&&i(g),o&&i(_),x(u,o)}}}function Mr(S){let g,$,_,u,P,o,h,Ut,In,Li,ne,kn,Pe,Tn,jn,Mi,dt,En,Gi,pt,Ft,qn,Ci,K,se,Bt,$e,Sn,Wt,Ln,Ni,ct,Ve,Mn,ft,Gn,Cn,Oi,X,ae,Ht,Ie,Nn,Rt,On,zi,L,zn,ut,An,Un,mt,Fn,Bn,gt,Wn,Hn,ht,Rn,Ai,_t,Qt,Qn,Ui,vt,Kn,Fi,G,ke,Kt,Xn,Yn,oe,Zn,Xt,Jn,es,ts,Te,Yt,is,ns,re,ss,Zt,as,os,rs,je,Jt,ls,ds,le,ps,ei,cs,fs,Bi,Y,de,ti,Ee,us,ii,ms,Wi,V,gs,bt,hs,_s,ni,vs,bs,Dt,Ds,ws,wt,ys,xs,yt,Ps,$s,xt,Vs,Is,Pt,ks,Ts,si,js,Es,ai,qs,Ss,$t,Ls,Ms,Hi,qe,Ri,Z,pe,oi,Se,Gs,ri,Cs,Qi,k,Le,Ns,li,Os,zs,Me,As,Vt,Us,Fs,Bs,C,Ge,Ws,di,Hs,Rs,ce,Qs,N,Ce,Ks,pi,Xs,Ys,fe,Zs,O,Ne,Js,ci,ea,ta,ue,Ki,J,me,fi,Oe,ia,ui,na,Xi,j,ze,sa,Ae,aa,It,oa,ra,la,z,Ue,da,mi,pa,ca,ge,fa,A,Fe,ua,gi,ma,ga,hi,ha,_a,he,Be,va,We,ba,_i,Da,wa,Yi,ee,_e,vi,He,ya,bi,xa,Zi,E,Re,Pa,Qe,$a,kt,Va,Ia,ka,U,Ke,Ta,Di,ja,Ea,ve,qa,F,Xe,Sa,wi,La,Ma,yi,Ga,Ca,be,Ye,Na,Ze,Oa,xi,za,Aa,Ji,te,De,Pi,Je,Ua,$i,Fa,en,q,et,Ba,tt,Wa,Tt,Ha,Ra,Qa,B,it,Ka,Vi,Xa,Ya,we,Za,W,nt,Ja,Ii,eo,to,ki,io,no,ye,st,so,at,ao,Ti,oo,ro,tn;return o=new xe({}),$e=new xe({}),Ie=new xe({}),Ee=new xe({}),qe=new lt({props:{code:`from diffusers import VersatileDiffusionPipeline, EulerDiscreteScheduler

pipeline = VersatileDiffusionPipeline.from_pretrained("shi-labs/versatile-diffusion")
pipeline.scheduler = EulerDiscreteScheduler.from_config(pipeline.scheduler.config)

# or
euler_scheduler = EulerDiscreteScheduler.from_pretrained("shi-labs/versatile-diffusion", subfolder="scheduler")
pipeline = VersatileDiffusionPipeline.from_pretrained("shi-labs/versatile-diffusion", scheduler=euler_scheduler)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> VersatileDiffusionPipeline, EulerDiscreteScheduler

<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = VersatileDiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline.scheduler = EulerDiscreteScheduler.from_config(pipeline.scheduler.config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>euler_scheduler = EulerDiscreteScheduler.from_pretrained(<span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, subfolder=<span class="hljs-string">&quot;scheduler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = VersatileDiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;shi-labs/versatile-diffusion&quot;</span>, scheduler=euler_scheduler)`}}),Se=new xe({}),Le=new T({props:{name:"class diffusers.VersatileDiffusionPipeline",anchor:"diffusers.VersatileDiffusionPipeline",parameters:[{name:"tokenizer",val:": CLIPTokenizer"},{name:"image_feature_extractor",val:": CLIPFeatureExtractor"},{name:"text_encoder",val:": CLIPTextModel"},{name:"image_encoder",val:": CLIPVisionModel"},{name:"image_unet",val:": UNet2DConditionModel"},{name:"text_unet",val:": UNet2DConditionModel"},{name:"vae",val:": AutoencoderKL"},{name:"scheduler",val:": typing.Union[diffusers.schedulers.scheduling_ddim.DDIMScheduler, diffusers.schedulers.scheduling_pndm.PNDMScheduler, diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteScheduler]"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.VersatileDiffusionPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder. Stable Diffusion uses the text portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel" rel="nofollow">CLIP</a>, specifically
the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"text_encoder"},{anchor:"diffusers.VersatileDiffusionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.VersatileDiffusionPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.VersatileDiffusionPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.VersatileDiffusionPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>StableDiffusionMegaSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.VersatileDiffusionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPFeatureExtractor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion.py#L21"}}),Ge=new T({props:{name:"dual_guided",anchor:"diffusers.VersatileDiffusionPipeline.dual_guided",parameters:[{name:"prompt",val:": typing.Union[PIL.Image.Image, typing.List[PIL.Image.Image]]"},{name:"image",val:": typing.Union[str, typing.List[str]]"},{name:"text_to_image_strength",val:": float = 0.5"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion.py#L311",returnDescription:`
<p><code>~pipelines.stable_diffusion.ImagePipelineOutput</code> if <code>return_dict</code> is True, otherwise a \`tuple. When
returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><code>~pipelines.stable_diffusion.ImagePipelineOutput</code> or <code>tuple</code></p>
`}}),ce=new zt({props:{anchor:"diffusers.VersatileDiffusionPipeline.dual_guided.example",$$slots:{default:[Tr]},$$scope:{ctx:S}}}),Ce=new T({props:{name:"image_variation",anchor:"diffusers.VersatileDiffusionPipeline.image_variation",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>, <code>List[PIL.Image.Image]</code> or <code>torch.Tensor</code>) &#x2014;
The image prompt or prompts to guide the image generation.`,name:"image"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion.py#L83",returnDescription:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),fe=new zt({props:{anchor:"diffusers.VersatileDiffusionPipeline.image_variation.example",$$slots:{default:[jr]},$$scope:{ctx:S}}}),Ne=new T({props:{name:"text_to_image",anchor:"diffusers.VersatileDiffusionPipeline.text_to_image",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion.py#L199",returnDescription:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),ue=new zt({props:{anchor:"diffusers.VersatileDiffusionPipeline.text_to_image.example",$$slots:{default:[Er]},$$scope:{ctx:S}}}),Oe=new xe({}),ze=new T({props:{name:"class diffusers.VersatileDiffusionTextToImagePipeline",anchor:"diffusers.VersatileDiffusionTextToImagePipeline",parameters:[{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"image_unet",val:": UNet2DConditionModel"},{name:"text_unet",val:": UNetFlatConditionModel"},{name:"vae",val:": AutoencoderKL"},{name:"scheduler",val:": typing.Union[diffusers.schedulers.scheduling_ddim.DDIMScheduler, diffusers.schedulers.scheduling_pndm.PNDMScheduler, diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteScheduler]"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.vqvae",description:`<strong>vqvae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.VQModel">VQModel</a>) &#x2014;
Vector-quantized (VQ) Model to encode and decode images to and from latent representations.`,name:"vqvae"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.bert",description:`<strong>bert</strong> (<code>LDMBertModel</code>) &#x2014;
Text-encoder model based on <a href="https://huggingface.co/docs/transformers/model_doc/bert" rel="nofollow">BERT</a> architecture.`,name:"bert"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>transformers.BertTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/model_doc/bert#transformers.BertTokenizer" rel="nofollow">BertTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_text_to_image.py#L34"}}),Ue=new T({props:{name:"__call__",anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_text_to_image.py#L322",returnDescription:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),ge=new zt({props:{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.__call__.example",$$slots:{default:[qr]},$$scope:{ctx:S}}}),Fe=new T({props:{name:"enable_attention_slicing",anchor:"diffusers.VersatileDiffusionTextToImagePipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionTextToImagePipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L849"}}),Be=new T({props:{name:"disable_attention_slicing",anchor:"diffusers.VersatileDiffusionTextToImagePipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L865"}}),He=new xe({}),Re=new T({props:{name:"class diffusers.VersatileDiffusionImageVariationPipeline",anchor:"diffusers.VersatileDiffusionImageVariationPipeline",parameters:[{name:"image_feature_extractor",val:": CLIPFeatureExtractor"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_unet",val:": UNet2DConditionModel"},{name:"vae",val:": AutoencoderKL"},{name:"scheduler",val:": typing.Union[diffusers.schedulers.scheduling_ddim.DDIMScheduler, diffusers.schedulers.scheduling_pndm.PNDMScheduler, diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteScheduler]"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.vqvae",description:`<strong>vqvae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.VQModel">VQModel</a>) &#x2014;
Vector-quantized (VQ) Model to encode and decode images to and from latent representations.`,name:"vqvae"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.bert",description:`<strong>bert</strong> (<code>LDMBertModel</code>) &#x2014;
Text-encoder model based on <a href="https://huggingface.co/docs/transformers/model_doc/bert" rel="nofollow">BERT</a> architecture.`,name:"bert"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>transformers.BertTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/model_doc/bert#transformers.BertTokenizer" rel="nofollow">BertTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_image_variation.py#L34"}}),Ke=new T({props:{name:"__call__",anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__",parameters:[{name:"image",val:": typing.Union[PIL.Image.Image, typing.List[PIL.Image.Image], torch.Tensor]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>, <code>List[PIL.Image.Image]</code> or <code>torch.Tensor</code>) &#x2014;
The image prompt or prompts to guide the image generation.`,name:"image"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_image_variation.py#L271",returnDescription:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),ve=new zt({props:{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.__call__.example",$$slots:{default:[Sr]},$$scope:{ctx:S}}}),Xe=new T({props:{name:"enable_attention_slicing",anchor:"diffusers.VersatileDiffusionImageVariationPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionImageVariationPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L849"}}),Ye=new T({props:{name:"disable_attention_slicing",anchor:"diffusers.VersatileDiffusionImageVariationPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L865"}}),Je=new xe({}),et=new T({props:{name:"class diffusers.VersatileDiffusionDualGuidedPipeline",anchor:"diffusers.VersatileDiffusionDualGuidedPipeline",parameters:[{name:"tokenizer",val:": CLIPTokenizer"},{name:"image_feature_extractor",val:": CLIPFeatureExtractor"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_unet",val:": UNet2DConditionModel"},{name:"text_unet",val:": UNetFlatConditionModel"},{name:"vae",val:": AutoencoderKL"},{name:"scheduler",val:": typing.Union[diffusers.schedulers.scheduling_ddim.DDIMScheduler, diffusers.schedulers.scheduling_pndm.PNDMScheduler, diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteScheduler]"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.vqvae",description:`<strong>vqvae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.VQModel">VQModel</a>) &#x2014;
Vector-quantized (VQ) Model to encode and decode images to and from latent representations.`,name:"vqvae"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.bert",description:`<strong>bert</strong> (<code>LDMBertModel</code>) &#x2014;
Text-encoder model based on <a href="https://huggingface.co/docs/transformers/model_doc/bert" rel="nofollow">BERT</a> architecture.`,name:"bert"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>transformers.BertTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/model_doc/bert#transformers.BertTokenizer" rel="nofollow">BertTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_dual_guided.py#L41"}}),it=new T({props:{name:"__call__",anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[PIL.Image.Image, typing.List[PIL.Image.Image]]"},{name:"image",val:": typing.Union[str, typing.List[str]]"},{name:"text_to_image_strength",val:": float = 0.5"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.image_unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. Ignored when not using guidance (i.e., ignored
if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/versatile_diffusion/pipeline_versatile_diffusion_dual_guided.py#L419",returnDescription:`
<p><code>~pipelines.stable_diffusion.ImagePipelineOutput</code> if <code>return_dict</code> is True, otherwise a \`tuple. When
returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><code>~pipelines.stable_diffusion.ImagePipelineOutput</code> or <code>tuple</code></p>
`}}),we=new zt({props:{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.__call__.example",$$slots:{default:[Lr]},$$scope:{ctx:S}}}),nt=new T({props:{name:"enable_attention_slicing",anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L849"}}),st=new T({props:{name:"disable_attention_slicing",anchor:"diffusers.VersatileDiffusionDualGuidedPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipeline_utils.py#L865"}}),{c(){g=n("meta"),$=d(),_=n("h1"),u=n("a"),P=n("span"),v(o.$$.fragment),h=d(),Ut=n("span"),In=r("VersatileDiffusion"),Li=d(),ne=n("p"),kn=r("VersatileDiffusion was proposed in "),Pe=n("a"),Tn=r("Versatile Diffusion: Text, Images and Variations All in One Diffusion Model"),jn=r(" by Xingqian Xu, Zhangyang Wang, Eric Zhang, Kai Wang, Humphrey Shi ."),Mi=d(),dt=n("p"),En=r("The abstract of the paper is the following:"),Gi=d(),pt=n("p"),Ft=n("em"),qn=r("The recent advances in diffusion models have set an impressive milestone in many generation tasks. Trending works such as DALL-E2, Imagen, and Stable Diffusion have attracted great interest in academia and industry. Despite the rapid landscape changes, recent new approaches focus on extensions and performance rather than capacity, thus requiring separate models for separate tasks. In this work, we expand the existing single-flow diffusion pipeline into a multi-flow network, dubbed Versatile Diffusion (VD), that handles text-to-image, image-to-text, image-variation, and text-variation in one unified model. Moreover, we generalize VD to a unified multi-flow multimodal diffusion framework with grouped layers, swappable streams, and other propositions that can process modalities beyond images and text. Through our experiments, we demonstrate that VD and its underlying framework have the following merits: a) VD handles all subtasks with competitive quality; b) VD initiates novel extensions and applications such as disentanglement of style and semantic, image-text dual-guided generation, etc.; c) Through these experiments and applications, VD provides more semantic insights of the generated outputs."),Ci=d(),K=n("h2"),se=n("a"),Bt=n("span"),v($e.$$.fragment),Sn=d(),Wt=n("span"),Ln=r("Tips"),Ni=d(),ct=n("ul"),Ve=n("li"),Mn=r("VersatileDiffusion is conceptually very similar as "),ft=n("a"),Gn=r("Stable Diffusion"),Cn=r(",  but instead of providing just a image data stream conditioned on text, VersatileDiffusion provides both a image and text data stream and can be conditioned on both text and image."),Oi=d(),X=n("h3"),ae=n("a"),Ht=n("span"),v(Ie.$$.fragment),Nn=d(),Rt=n("span"),On=r("*Run VersatileDiffusion*"),zi=d(),L=n("p"),zn=r("You can both load the memory intensive \u201Call-in-one\u201D "),ut=n("a"),An=r("VersatileDiffusionPipeline"),Un=r(` that can run all tasks
with the same class as shown in `),mt=n("a"),Fn=r("VersatileDiffusionPipeline.text_to_image()"),Bn=r(", "),gt=n("a"),Wn=r("VersatileDiffusionPipeline.image_variation()"),Hn=r(", and "),ht=n("a"),Rn=r("VersatileDiffusionPipeline.dual_guided()"),Ai=d(),_t=n("p"),Qt=n("strong"),Qn=r("or"),Ui=d(),vt=n("p"),Kn=r("You can run the individual pipelines which are much more memory efficient:"),Fi=d(),G=n("ul"),ke=n("li"),Kt=n("em"),Xn=r("Text-to-Image"),Yn=r(": "),oe=n("a"),Zn=r("VersatileDiffusionTextToImagePipeline."),Xt=n("strong"),Jn=r("call"),es=r("()"),ts=d(),Te=n("li"),Yt=n("em"),is=r("Image Variation"),ns=r(": "),re=n("a"),ss=r("VersatileDiffusionImageVariationPipeline."),Zt=n("strong"),as=r("call"),os=r("()"),rs=d(),je=n("li"),Jt=n("em"),ls=r("Dual Text and Image Guided Generation"),ds=r(": "),le=n("a"),ps=r("VersatileDiffusionDualGuidedPipeline."),ei=n("strong"),cs=r("call"),fs=r("()"),Bi=d(),Y=n("h3"),de=n("a"),ti=n("span"),v(Ee.$$.fragment),us=d(),ii=n("span"),ms=r("*How to load and use different schedulers.*"),Wi=d(),V=n("p"),gs=r("The versatile diffusion pipelines uses "),bt=n("a"),hs=r("DDIMScheduler"),_s=r(" scheduler by default. But "),ni=n("code"),vs=r("diffusers"),bs=r(" provides many other schedulers that can be used with the alt diffusion pipeline such as "),Dt=n("a"),Ds=r("PNDMScheduler"),ws=r(", "),wt=n("a"),ys=r("LMSDiscreteScheduler"),xs=r(", "),yt=n("a"),Ps=r("EulerDiscreteScheduler"),$s=r(", "),xt=n("a"),Vs=r("EulerAncestralDiscreteScheduler"),Is=r(` etc.
To use a different scheduler, you can either change it via the `),Pt=n("a"),ks=r("ConfigMixin.from_config()"),Ts=r(" method or pass the "),si=n("code"),js=r("scheduler"),Es=r(" argument to the "),ai=n("code"),qs=r("from_pretrained"),Ss=r(" method of the pipeline. For example, to use the "),$t=n("a"),Ls=r("EulerDiscreteScheduler"),Ms=r(", you can do the following:"),Hi=d(),v(qe.$$.fragment),Ri=d(),Z=n("h2"),pe=n("a"),oi=n("span"),v(Se.$$.fragment),Gs=d(),ri=n("span"),Cs=r("VersatileDiffusionPipeline"),Qi=d(),k=n("div"),v(Le.$$.fragment),Ns=d(),li=n("p"),Os=r("Pipeline for text-to-image generation using Stable Diffusion."),zs=d(),Me=n("p"),As=r("This model inherits from "),Vt=n("a"),Us=r("DiffusionPipeline"),Fs=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Bs=d(),C=n("div"),v(Ge.$$.fragment),Ws=d(),di=n("p"),Hs=r("Function invoked when calling the pipeline for generation."),Rs=d(),v(ce.$$.fragment),Qs=d(),N=n("div"),v(Ce.$$.fragment),Ks=d(),pi=n("p"),Xs=r("Function invoked when calling the pipeline for generation."),Ys=d(),v(fe.$$.fragment),Zs=d(),O=n("div"),v(Ne.$$.fragment),Js=d(),ci=n("p"),ea=r("Function invoked when calling the pipeline for generation."),ta=d(),v(ue.$$.fragment),Ki=d(),J=n("h2"),me=n("a"),fi=n("span"),v(Oe.$$.fragment),ia=d(),ui=n("span"),na=r("VersatileDiffusionTextToImagePipeline"),Xi=d(),j=n("div"),v(ze.$$.fragment),sa=d(),Ae=n("p"),aa=r("This model inherits from "),It=n("a"),oa=r("DiffusionPipeline"),ra=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),la=d(),z=n("div"),v(Ue.$$.fragment),da=d(),mi=n("p"),pa=r("Function invoked when calling the pipeline for generation."),ca=d(),v(ge.$$.fragment),fa=d(),A=n("div"),v(Fe.$$.fragment),ua=d(),gi=n("p"),ma=r("Enable sliced attention computation."),ga=d(),hi=n("p"),ha=r(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),_a=d(),he=n("div"),v(Be.$$.fragment),va=d(),We=n("p"),ba=r("Disable sliced attention computation. If "),_i=n("code"),Da=r("enable_attention_slicing"),wa=r(` was previously invoked, this method will go
back to computing attention in one step.`),Yi=d(),ee=n("h2"),_e=n("a"),vi=n("span"),v(He.$$.fragment),ya=d(),bi=n("span"),xa=r("VersatileDiffusionImageVariationPipeline"),Zi=d(),E=n("div"),v(Re.$$.fragment),Pa=d(),Qe=n("p"),$a=r("This model inherits from "),kt=n("a"),Va=r("DiffusionPipeline"),Ia=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ka=d(),U=n("div"),v(Ke.$$.fragment),Ta=d(),Di=n("p"),ja=r("Function invoked when calling the pipeline for generation."),Ea=d(),v(ve.$$.fragment),qa=d(),F=n("div"),v(Xe.$$.fragment),Sa=d(),wi=n("p"),La=r("Enable sliced attention computation."),Ma=d(),yi=n("p"),Ga=r(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Ca=d(),be=n("div"),v(Ye.$$.fragment),Na=d(),Ze=n("p"),Oa=r("Disable sliced attention computation. If "),xi=n("code"),za=r("enable_attention_slicing"),Aa=r(` was previously invoked, this method will go
back to computing attention in one step.`),Ji=d(),te=n("h2"),De=n("a"),Pi=n("span"),v(Je.$$.fragment),Ua=d(),$i=n("span"),Fa=r("VersatileDiffusionDualGuidedPipeline"),en=d(),q=n("div"),v(et.$$.fragment),Ba=d(),tt=n("p"),Wa=r("This model inherits from "),Tt=n("a"),Ha=r("DiffusionPipeline"),Ra=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Qa=d(),B=n("div"),v(it.$$.fragment),Ka=d(),Vi=n("p"),Xa=r("Function invoked when calling the pipeline for generation."),Ya=d(),v(we.$$.fragment),Za=d(),W=n("div"),v(nt.$$.fragment),Ja=d(),Ii=n("p"),eo=r("Enable sliced attention computation."),to=d(),ki=n("p"),io=r(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),no=d(),ye=n("div"),v(st.$$.fragment),so=d(),at=n("p"),ao=r("Disable sliced attention computation. If "),Ti=n("code"),oo=r("enable_attention_slicing"),ro=r(` was previously invoked, this method will go
back to computing attention in one step.`),this.h()},l(t){const f=Ir('[data-svelte="svelte-1phssyn"]',document.head);g=s(f,"META",{name:!0,content:!0}),f.forEach(i),$=p(t),_=s(t,"H1",{class:!0});var ot=a(_);u=s(ot,"A",{id:!0,class:!0,href:!0});var ji=a(u);P=s(ji,"SPAN",{});var Ei=a(P);b(o.$$.fragment,Ei),Ei.forEach(i),ji.forEach(i),h=p(ot),Ut=s(ot,"SPAN",{});var qi=a(Ut);In=l(qi,"VersatileDiffusion"),qi.forEach(i),ot.forEach(i),Li=p(t),ne=s(t,"P",{});var rt=a(ne);kn=l(rt,"VersatileDiffusion was proposed in "),Pe=s(rt,"A",{href:!0,rel:!0});var Si=a(Pe);Tn=l(Si,"Versatile Diffusion: Text, Images and Variations All in One Diffusion Model"),Si.forEach(i),jn=l(rt," by Xingqian Xu, Zhangyang Wang, Eric Zhang, Kai Wang, Humphrey Shi ."),rt.forEach(i),Mi=p(t),dt=s(t,"P",{});var lo=a(dt);En=l(lo,"The abstract of the paper is the following:"),lo.forEach(i),Gi=p(t),pt=s(t,"P",{});var po=a(pt);Ft=s(po,"EM",{});var co=a(Ft);qn=l(co,"The recent advances in diffusion models have set an impressive milestone in many generation tasks. Trending works such as DALL-E2, Imagen, and Stable Diffusion have attracted great interest in academia and industry. Despite the rapid landscape changes, recent new approaches focus on extensions and performance rather than capacity, thus requiring separate models for separate tasks. In this work, we expand the existing single-flow diffusion pipeline into a multi-flow network, dubbed Versatile Diffusion (VD), that handles text-to-image, image-to-text, image-variation, and text-variation in one unified model. Moreover, we generalize VD to a unified multi-flow multimodal diffusion framework with grouped layers, swappable streams, and other propositions that can process modalities beyond images and text. Through our experiments, we demonstrate that VD and its underlying framework have the following merits: a) VD handles all subtasks with competitive quality; b) VD initiates novel extensions and applications such as disentanglement of style and semantic, image-text dual-guided generation, etc.; c) Through these experiments and applications, VD provides more semantic insights of the generated outputs."),co.forEach(i),po.forEach(i),Ci=p(t),K=s(t,"H2",{class:!0});var nn=a(K);se=s(nn,"A",{id:!0,class:!0,href:!0});var fo=a(se);Bt=s(fo,"SPAN",{});var uo=a(Bt);b($e.$$.fragment,uo),uo.forEach(i),fo.forEach(i),Sn=p(nn),Wt=s(nn,"SPAN",{});var mo=a(Wt);Ln=l(mo,"Tips"),mo.forEach(i),nn.forEach(i),Ni=p(t),ct=s(t,"UL",{});var go=a(ct);Ve=s(go,"LI",{});var sn=a(Ve);Mn=l(sn,"VersatileDiffusion is conceptually very similar as "),ft=s(sn,"A",{href:!0});var ho=a(ft);Gn=l(ho,"Stable Diffusion"),ho.forEach(i),Cn=l(sn,",  but instead of providing just a image data stream conditioned on text, VersatileDiffusion provides both a image and text data stream and can be conditioned on both text and image."),sn.forEach(i),go.forEach(i),Oi=p(t),X=s(t,"H3",{class:!0});var an=a(X);ae=s(an,"A",{id:!0,class:!0,href:!0});var _o=a(ae);Ht=s(_o,"SPAN",{});var vo=a(Ht);b(Ie.$$.fragment,vo),vo.forEach(i),_o.forEach(i),Nn=p(an),Rt=s(an,"SPAN",{});var bo=a(Rt);On=l(bo,"*Run VersatileDiffusion*"),bo.forEach(i),an.forEach(i),zi=p(t),L=s(t,"P",{});var ie=a(L);zn=l(ie,"You can both load the memory intensive \u201Call-in-one\u201D "),ut=s(ie,"A",{href:!0});var Do=a(ut);An=l(Do,"VersatileDiffusionPipeline"),Do.forEach(i),Un=l(ie,` that can run all tasks
with the same class as shown in `),mt=s(ie,"A",{href:!0});var wo=a(mt);Fn=l(wo,"VersatileDiffusionPipeline.text_to_image()"),wo.forEach(i),Bn=l(ie,", "),gt=s(ie,"A",{href:!0});var yo=a(gt);Wn=l(yo,"VersatileDiffusionPipeline.image_variation()"),yo.forEach(i),Hn=l(ie,", and "),ht=s(ie,"A",{href:!0});var xo=a(ht);Rn=l(xo,"VersatileDiffusionPipeline.dual_guided()"),xo.forEach(i),ie.forEach(i),Ai=p(t),_t=s(t,"P",{});var Po=a(_t);Qt=s(Po,"STRONG",{});var $o=a(Qt);Qn=l($o,"or"),$o.forEach(i),Po.forEach(i),Ui=p(t),vt=s(t,"P",{});var Vo=a(vt);Kn=l(Vo,"You can run the individual pipelines which are much more memory efficient:"),Vo.forEach(i),Fi=p(t),G=s(t,"UL",{});var jt=a(G);ke=s(jt,"LI",{});var on=a(ke);Kt=s(on,"EM",{});var Io=a(Kt);Xn=l(Io,"Text-to-Image"),Io.forEach(i),Yn=l(on,": "),oe=s(on,"A",{href:!0});var rn=a(oe);Zn=l(rn,"VersatileDiffusionTextToImagePipeline."),Xt=s(rn,"STRONG",{});var ko=a(Xt);Jn=l(ko,"call"),ko.forEach(i),es=l(rn,"()"),rn.forEach(i),on.forEach(i),ts=p(jt),Te=s(jt,"LI",{});var ln=a(Te);Yt=s(ln,"EM",{});var To=a(Yt);is=l(To,"Image Variation"),To.forEach(i),ns=l(ln,": "),re=s(ln,"A",{href:!0});var dn=a(re);ss=l(dn,"VersatileDiffusionImageVariationPipeline."),Zt=s(dn,"STRONG",{});var jo=a(Zt);as=l(jo,"call"),jo.forEach(i),os=l(dn,"()"),dn.forEach(i),ln.forEach(i),rs=p(jt),je=s(jt,"LI",{});var pn=a(je);Jt=s(pn,"EM",{});var Eo=a(Jt);ls=l(Eo,"Dual Text and Image Guided Generation"),Eo.forEach(i),ds=l(pn,": "),le=s(pn,"A",{href:!0});var cn=a(le);ps=l(cn,"VersatileDiffusionDualGuidedPipeline."),ei=s(cn,"STRONG",{});var qo=a(ei);cs=l(qo,"call"),qo.forEach(i),fs=l(cn,"()"),cn.forEach(i),pn.forEach(i),jt.forEach(i),Bi=p(t),Y=s(t,"H3",{class:!0});var fn=a(Y);de=s(fn,"A",{id:!0,class:!0,href:!0});var So=a(de);ti=s(So,"SPAN",{});var Lo=a(ti);b(Ee.$$.fragment,Lo),Lo.forEach(i),So.forEach(i),us=p(fn),ii=s(fn,"SPAN",{});var Mo=a(ii);ms=l(Mo,"*How to load and use different schedulers.*"),Mo.forEach(i),fn.forEach(i),Wi=p(t),V=s(t,"P",{});var I=a(V);gs=l(I,"The versatile diffusion pipelines uses "),bt=s(I,"A",{href:!0});var Go=a(bt);hs=l(Go,"DDIMScheduler"),Go.forEach(i),_s=l(I," scheduler by default. But "),ni=s(I,"CODE",{});var Co=a(ni);vs=l(Co,"diffusers"),Co.forEach(i),bs=l(I," provides many other schedulers that can be used with the alt diffusion pipeline such as "),Dt=s(I,"A",{href:!0});var No=a(Dt);Ds=l(No,"PNDMScheduler"),No.forEach(i),ws=l(I,", "),wt=s(I,"A",{href:!0});var Oo=a(wt);ys=l(Oo,"LMSDiscreteScheduler"),Oo.forEach(i),xs=l(I,", "),yt=s(I,"A",{href:!0});var zo=a(yt);Ps=l(zo,"EulerDiscreteScheduler"),zo.forEach(i),$s=l(I,", "),xt=s(I,"A",{href:!0});var Ao=a(xt);Vs=l(Ao,"EulerAncestralDiscreteScheduler"),Ao.forEach(i),Is=l(I,` etc.
To use a different scheduler, you can either change it via the `),Pt=s(I,"A",{href:!0});var Uo=a(Pt);ks=l(Uo,"ConfigMixin.from_config()"),Uo.forEach(i),Ts=l(I," method or pass the "),si=s(I,"CODE",{});var Fo=a(si);js=l(Fo,"scheduler"),Fo.forEach(i),Es=l(I," argument to the "),ai=s(I,"CODE",{});var Bo=a(ai);qs=l(Bo,"from_pretrained"),Bo.forEach(i),Ss=l(I," method of the pipeline. For example, to use the "),$t=s(I,"A",{href:!0});var Wo=a($t);Ls=l(Wo,"EulerDiscreteScheduler"),Wo.forEach(i),Ms=l(I,", you can do the following:"),I.forEach(i),Hi=p(t),b(qe.$$.fragment,t),Ri=p(t),Z=s(t,"H2",{class:!0});var un=a(Z);pe=s(un,"A",{id:!0,class:!0,href:!0});var Ho=a(pe);oi=s(Ho,"SPAN",{});var Ro=a(oi);b(Se.$$.fragment,Ro),Ro.forEach(i),Ho.forEach(i),Gs=p(un),ri=s(un,"SPAN",{});var Qo=a(ri);Cs=l(Qo,"VersatileDiffusionPipeline"),Qo.forEach(i),un.forEach(i),Qi=p(t),k=s(t,"DIV",{class:!0});var M=a(k);b(Le.$$.fragment,M),Ns=p(M),li=s(M,"P",{});var Ko=a(li);Os=l(Ko,"Pipeline for text-to-image generation using Stable Diffusion."),Ko.forEach(i),zs=p(M),Me=s(M,"P",{});var mn=a(Me);As=l(mn,"This model inherits from "),Vt=s(mn,"A",{href:!0});var Xo=a(Vt);Us=l(Xo,"DiffusionPipeline"),Xo.forEach(i),Fs=l(mn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),mn.forEach(i),Bs=p(M),C=s(M,"DIV",{class:!0});var Et=a(C);b(Ge.$$.fragment,Et),Ws=p(Et),di=s(Et,"P",{});var Yo=a(di);Hs=l(Yo,"Function invoked when calling the pipeline for generation."),Yo.forEach(i),Rs=p(Et),b(ce.$$.fragment,Et),Et.forEach(i),Qs=p(M),N=s(M,"DIV",{class:!0});var qt=a(N);b(Ce.$$.fragment,qt),Ks=p(qt),pi=s(qt,"P",{});var Zo=a(pi);Xs=l(Zo,"Function invoked when calling the pipeline for generation."),Zo.forEach(i),Ys=p(qt),b(fe.$$.fragment,qt),qt.forEach(i),Zs=p(M),O=s(M,"DIV",{class:!0});var St=a(O);b(Ne.$$.fragment,St),Js=p(St),ci=s(St,"P",{});var Jo=a(ci);ea=l(Jo,"Function invoked when calling the pipeline for generation."),Jo.forEach(i),ta=p(St),b(ue.$$.fragment,St),St.forEach(i),M.forEach(i),Ki=p(t),J=s(t,"H2",{class:!0});var gn=a(J);me=s(gn,"A",{id:!0,class:!0,href:!0});var er=a(me);fi=s(er,"SPAN",{});var tr=a(fi);b(Oe.$$.fragment,tr),tr.forEach(i),er.forEach(i),ia=p(gn),ui=s(gn,"SPAN",{});var ir=a(ui);na=l(ir,"VersatileDiffusionTextToImagePipeline"),ir.forEach(i),gn.forEach(i),Xi=p(t),j=s(t,"DIV",{class:!0});var H=a(j);b(ze.$$.fragment,H),sa=p(H),Ae=s(H,"P",{});var hn=a(Ae);aa=l(hn,"This model inherits from "),It=s(hn,"A",{href:!0});var nr=a(It);oa=l(nr,"DiffusionPipeline"),nr.forEach(i),ra=l(hn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),hn.forEach(i),la=p(H),z=s(H,"DIV",{class:!0});var Lt=a(z);b(Ue.$$.fragment,Lt),da=p(Lt),mi=s(Lt,"P",{});var sr=a(mi);pa=l(sr,"Function invoked when calling the pipeline for generation."),sr.forEach(i),ca=p(Lt),b(ge.$$.fragment,Lt),Lt.forEach(i),fa=p(H),A=s(H,"DIV",{class:!0});var Mt=a(A);b(Fe.$$.fragment,Mt),ua=p(Mt),gi=s(Mt,"P",{});var ar=a(gi);ma=l(ar,"Enable sliced attention computation."),ar.forEach(i),ga=p(Mt),hi=s(Mt,"P",{});var or=a(hi);ha=l(or,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),or.forEach(i),Mt.forEach(i),_a=p(H),he=s(H,"DIV",{class:!0});var _n=a(he);b(Be.$$.fragment,_n),va=p(_n),We=s(_n,"P",{});var vn=a(We);ba=l(vn,"Disable sliced attention computation. If "),_i=s(vn,"CODE",{});var rr=a(_i);Da=l(rr,"enable_attention_slicing"),rr.forEach(i),wa=l(vn,` was previously invoked, this method will go
back to computing attention in one step.`),vn.forEach(i),_n.forEach(i),H.forEach(i),Yi=p(t),ee=s(t,"H2",{class:!0});var bn=a(ee);_e=s(bn,"A",{id:!0,class:!0,href:!0});var lr=a(_e);vi=s(lr,"SPAN",{});var dr=a(vi);b(He.$$.fragment,dr),dr.forEach(i),lr.forEach(i),ya=p(bn),bi=s(bn,"SPAN",{});var pr=a(bi);xa=l(pr,"VersatileDiffusionImageVariationPipeline"),pr.forEach(i),bn.forEach(i),Zi=p(t),E=s(t,"DIV",{class:!0});var R=a(E);b(Re.$$.fragment,R),Pa=p(R),Qe=s(R,"P",{});var Dn=a(Qe);$a=l(Dn,"This model inherits from "),kt=s(Dn,"A",{href:!0});var cr=a(kt);Va=l(cr,"DiffusionPipeline"),cr.forEach(i),Ia=l(Dn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Dn.forEach(i),ka=p(R),U=s(R,"DIV",{class:!0});var Gt=a(U);b(Ke.$$.fragment,Gt),Ta=p(Gt),Di=s(Gt,"P",{});var fr=a(Di);ja=l(fr,"Function invoked when calling the pipeline for generation."),fr.forEach(i),Ea=p(Gt),b(ve.$$.fragment,Gt),Gt.forEach(i),qa=p(R),F=s(R,"DIV",{class:!0});var Ct=a(F);b(Xe.$$.fragment,Ct),Sa=p(Ct),wi=s(Ct,"P",{});var ur=a(wi);La=l(ur,"Enable sliced attention computation."),ur.forEach(i),Ma=p(Ct),yi=s(Ct,"P",{});var mr=a(yi);Ga=l(mr,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),mr.forEach(i),Ct.forEach(i),Ca=p(R),be=s(R,"DIV",{class:!0});var wn=a(be);b(Ye.$$.fragment,wn),Na=p(wn),Ze=s(wn,"P",{});var yn=a(Ze);Oa=l(yn,"Disable sliced attention computation. If "),xi=s(yn,"CODE",{});var gr=a(xi);za=l(gr,"enable_attention_slicing"),gr.forEach(i),Aa=l(yn,` was previously invoked, this method will go
back to computing attention in one step.`),yn.forEach(i),wn.forEach(i),R.forEach(i),Ji=p(t),te=s(t,"H2",{class:!0});var xn=a(te);De=s(xn,"A",{id:!0,class:!0,href:!0});var hr=a(De);Pi=s(hr,"SPAN",{});var _r=a(Pi);b(Je.$$.fragment,_r),_r.forEach(i),hr.forEach(i),Ua=p(xn),$i=s(xn,"SPAN",{});var vr=a($i);Fa=l(vr,"VersatileDiffusionDualGuidedPipeline"),vr.forEach(i),xn.forEach(i),en=p(t),q=s(t,"DIV",{class:!0});var Q=a(q);b(et.$$.fragment,Q),Ba=p(Q),tt=s(Q,"P",{});var Pn=a(tt);Wa=l(Pn,"This model inherits from "),Tt=s(Pn,"A",{href:!0});var br=a(Tt);Ha=l(br,"DiffusionPipeline"),br.forEach(i),Ra=l(Pn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Pn.forEach(i),Qa=p(Q),B=s(Q,"DIV",{class:!0});var Nt=a(B);b(it.$$.fragment,Nt),Ka=p(Nt),Vi=s(Nt,"P",{});var Dr=a(Vi);Xa=l(Dr,"Function invoked when calling the pipeline for generation."),Dr.forEach(i),Ya=p(Nt),b(we.$$.fragment,Nt),Nt.forEach(i),Za=p(Q),W=s(Q,"DIV",{class:!0});var Ot=a(W);b(nt.$$.fragment,Ot),Ja=p(Ot),Ii=s(Ot,"P",{});var wr=a(Ii);eo=l(wr,"Enable sliced attention computation."),wr.forEach(i),to=p(Ot),ki=s(Ot,"P",{});var yr=a(ki);io=l(yr,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),yr.forEach(i),Ot.forEach(i),no=p(Q),ye=s(Q,"DIV",{class:!0});var $n=a(ye);b(st.$$.fragment,$n),so=p($n),at=s($n,"P",{});var Vn=a(at);ao=l(Vn,"Disable sliced attention computation. If "),Ti=s(Vn,"CODE",{});var xr=a(Ti);oo=l(xr,"enable_attention_slicing"),xr.forEach(i),ro=l(Vn,` was previously invoked, this method will go
back to computing attention in one step.`),Vn.forEach(i),$n.forEach(i),Q.forEach(i),this.h()},h(){c(g,"name","hf:doc:metadata"),c(g,"content",JSON.stringify(Gr)),c(u,"id","versatilediffusion"),c(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(u,"href","#versatilediffusion"),c(_,"class","relative group"),c(Pe,"href","https://arxiv.org/abs/2211.08332"),c(Pe,"rel","nofollow"),c(se,"id","tips"),c(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(se,"href","#tips"),c(K,"class","relative group"),c(ft,"href","./api/pipelines/stable_diffusion"),c(ae,"id","run-versatilediffusion"),c(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ae,"href","#run-versatilediffusion"),c(X,"class","relative group"),c(ut,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionPipeline"),c(mt,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionPipeline.text_to_image"),c(gt,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionPipeline.image_variation"),c(ht,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionPipeline.dual_guided"),c(oe,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionTextToImagePipeline.__call__"),c(re,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionImageVariationPipeline.__call__"),c(le,"href","/docs/diffusers/main/en/api/pipelines/versatile_diffusion#diffusers.VersatileDiffusionDualGuidedPipeline.__call__"),c(de,"id","how-to-load-and-use-different-schedulers"),c(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(de,"href","#how-to-load-and-use-different-schedulers"),c(Y,"class","relative group"),c(bt,"href","/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler"),c(Dt,"href","/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler"),c(wt,"href","/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler"),c(yt,"href","/docs/diffusers/main/en/api/schedulers/euler#diffusers.EulerDiscreteScheduler"),c(xt,"href","/docs/diffusers/main/en/api/schedulers/euler_ancestral#diffusers.EulerAncestralDiscreteScheduler"),c(Pt,"href","/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin.from_config"),c($t,"href","/docs/diffusers/main/en/api/schedulers/euler#diffusers.EulerDiscreteScheduler"),c(pe,"id","diffusers.VersatileDiffusionPipeline"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#diffusers.VersatileDiffusionPipeline"),c(Z,"class","relative group"),c(Vt,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(me,"id","diffusers.VersatileDiffusionTextToImagePipeline"),c(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(me,"href","#diffusers.VersatileDiffusionTextToImagePipeline"),c(J,"class","relative group"),c(It,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"id","diffusers.VersatileDiffusionImageVariationPipeline"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#diffusers.VersatileDiffusionImageVariationPipeline"),c(ee,"class","relative group"),c(kt,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(De,"id","diffusers.VersatileDiffusionDualGuidedPipeline"),c(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(De,"href","#diffusers.VersatileDiffusionDualGuidedPipeline"),c(te,"class","relative group"),c(Tt,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,g),m(t,$,f),m(t,_,f),e(_,u),e(u,P),D(o,P,null),e(_,h),e(_,Ut),e(Ut,In),m(t,Li,f),m(t,ne,f),e(ne,kn),e(ne,Pe),e(Pe,Tn),e(ne,jn),m(t,Mi,f),m(t,dt,f),e(dt,En),m(t,Gi,f),m(t,pt,f),e(pt,Ft),e(Ft,qn),m(t,Ci,f),m(t,K,f),e(K,se),e(se,Bt),D($e,Bt,null),e(K,Sn),e(K,Wt),e(Wt,Ln),m(t,Ni,f),m(t,ct,f),e(ct,Ve),e(Ve,Mn),e(Ve,ft),e(ft,Gn),e(Ve,Cn),m(t,Oi,f),m(t,X,f),e(X,ae),e(ae,Ht),D(Ie,Ht,null),e(X,Nn),e(X,Rt),e(Rt,On),m(t,zi,f),m(t,L,f),e(L,zn),e(L,ut),e(ut,An),e(L,Un),e(L,mt),e(mt,Fn),e(L,Bn),e(L,gt),e(gt,Wn),e(L,Hn),e(L,ht),e(ht,Rn),m(t,Ai,f),m(t,_t,f),e(_t,Qt),e(Qt,Qn),m(t,Ui,f),m(t,vt,f),e(vt,Kn),m(t,Fi,f),m(t,G,f),e(G,ke),e(ke,Kt),e(Kt,Xn),e(ke,Yn),e(ke,oe),e(oe,Zn),e(oe,Xt),e(Xt,Jn),e(oe,es),e(G,ts),e(G,Te),e(Te,Yt),e(Yt,is),e(Te,ns),e(Te,re),e(re,ss),e(re,Zt),e(Zt,as),e(re,os),e(G,rs),e(G,je),e(je,Jt),e(Jt,ls),e(je,ds),e(je,le),e(le,ps),e(le,ei),e(ei,cs),e(le,fs),m(t,Bi,f),m(t,Y,f),e(Y,de),e(de,ti),D(Ee,ti,null),e(Y,us),e(Y,ii),e(ii,ms),m(t,Wi,f),m(t,V,f),e(V,gs),e(V,bt),e(bt,hs),e(V,_s),e(V,ni),e(ni,vs),e(V,bs),e(V,Dt),e(Dt,Ds),e(V,ws),e(V,wt),e(wt,ys),e(V,xs),e(V,yt),e(yt,Ps),e(V,$s),e(V,xt),e(xt,Vs),e(V,Is),e(V,Pt),e(Pt,ks),e(V,Ts),e(V,si),e(si,js),e(V,Es),e(V,ai),e(ai,qs),e(V,Ss),e(V,$t),e($t,Ls),e(V,Ms),m(t,Hi,f),D(qe,t,f),m(t,Ri,f),m(t,Z,f),e(Z,pe),e(pe,oi),D(Se,oi,null),e(Z,Gs),e(Z,ri),e(ri,Cs),m(t,Qi,f),m(t,k,f),D(Le,k,null),e(k,Ns),e(k,li),e(li,Os),e(k,zs),e(k,Me),e(Me,As),e(Me,Vt),e(Vt,Us),e(Me,Fs),e(k,Bs),e(k,C),D(Ge,C,null),e(C,Ws),e(C,di),e(di,Hs),e(C,Rs),D(ce,C,null),e(k,Qs),e(k,N),D(Ce,N,null),e(N,Ks),e(N,pi),e(pi,Xs),e(N,Ys),D(fe,N,null),e(k,Zs),e(k,O),D(Ne,O,null),e(O,Js),e(O,ci),e(ci,ea),e(O,ta),D(ue,O,null),m(t,Ki,f),m(t,J,f),e(J,me),e(me,fi),D(Oe,fi,null),e(J,ia),e(J,ui),e(ui,na),m(t,Xi,f),m(t,j,f),D(ze,j,null),e(j,sa),e(j,Ae),e(Ae,aa),e(Ae,It),e(It,oa),e(Ae,ra),e(j,la),e(j,z),D(Ue,z,null),e(z,da),e(z,mi),e(mi,pa),e(z,ca),D(ge,z,null),e(j,fa),e(j,A),D(Fe,A,null),e(A,ua),e(A,gi),e(gi,ma),e(A,ga),e(A,hi),e(hi,ha),e(j,_a),e(j,he),D(Be,he,null),e(he,va),e(he,We),e(We,ba),e(We,_i),e(_i,Da),e(We,wa),m(t,Yi,f),m(t,ee,f),e(ee,_e),e(_e,vi),D(He,vi,null),e(ee,ya),e(ee,bi),e(bi,xa),m(t,Zi,f),m(t,E,f),D(Re,E,null),e(E,Pa),e(E,Qe),e(Qe,$a),e(Qe,kt),e(kt,Va),e(Qe,Ia),e(E,ka),e(E,U),D(Ke,U,null),e(U,Ta),e(U,Di),e(Di,ja),e(U,Ea),D(ve,U,null),e(E,qa),e(E,F),D(Xe,F,null),e(F,Sa),e(F,wi),e(wi,La),e(F,Ma),e(F,yi),e(yi,Ga),e(E,Ca),e(E,be),D(Ye,be,null),e(be,Na),e(be,Ze),e(Ze,Oa),e(Ze,xi),e(xi,za),e(Ze,Aa),m(t,Ji,f),m(t,te,f),e(te,De),e(De,Pi),D(Je,Pi,null),e(te,Ua),e(te,$i),e($i,Fa),m(t,en,f),m(t,q,f),D(et,q,null),e(q,Ba),e(q,tt),e(tt,Wa),e(tt,Tt),e(Tt,Ha),e(tt,Ra),e(q,Qa),e(q,B),D(it,B,null),e(B,Ka),e(B,Vi),e(Vi,Xa),e(B,Ya),D(we,B,null),e(q,Za),e(q,W),D(nt,W,null),e(W,Ja),e(W,Ii),e(Ii,eo),e(W,to),e(W,ki),e(ki,io),e(q,no),e(q,ye),D(st,ye,null),e(ye,so),e(ye,at),e(at,ao),e(at,Ti),e(Ti,oo),e(at,ro),tn=!0},p(t,[f]){const ot={};f&2&&(ot.$$scope={dirty:f,ctx:t}),ce.$set(ot);const ji={};f&2&&(ji.$$scope={dirty:f,ctx:t}),fe.$set(ji);const Ei={};f&2&&(Ei.$$scope={dirty:f,ctx:t}),ue.$set(Ei);const qi={};f&2&&(qi.$$scope={dirty:f,ctx:t}),ge.$set(qi);const rt={};f&2&&(rt.$$scope={dirty:f,ctx:t}),ve.$set(rt);const Si={};f&2&&(Si.$$scope={dirty:f,ctx:t}),we.$set(Si)},i(t){tn||(w(o.$$.fragment,t),w($e.$$.fragment,t),w(Ie.$$.fragment,t),w(Ee.$$.fragment,t),w(qe.$$.fragment,t),w(Se.$$.fragment,t),w(Le.$$.fragment,t),w(Ge.$$.fragment,t),w(ce.$$.fragment,t),w(Ce.$$.fragment,t),w(fe.$$.fragment,t),w(Ne.$$.fragment,t),w(ue.$$.fragment,t),w(Oe.$$.fragment,t),w(ze.$$.fragment,t),w(Ue.$$.fragment,t),w(ge.$$.fragment,t),w(Fe.$$.fragment,t),w(Be.$$.fragment,t),w(He.$$.fragment,t),w(Re.$$.fragment,t),w(Ke.$$.fragment,t),w(ve.$$.fragment,t),w(Xe.$$.fragment,t),w(Ye.$$.fragment,t),w(Je.$$.fragment,t),w(et.$$.fragment,t),w(it.$$.fragment,t),w(we.$$.fragment,t),w(nt.$$.fragment,t),w(st.$$.fragment,t),tn=!0)},o(t){y(o.$$.fragment,t),y($e.$$.fragment,t),y(Ie.$$.fragment,t),y(Ee.$$.fragment,t),y(qe.$$.fragment,t),y(Se.$$.fragment,t),y(Le.$$.fragment,t),y(Ge.$$.fragment,t),y(ce.$$.fragment,t),y(Ce.$$.fragment,t),y(fe.$$.fragment,t),y(Ne.$$.fragment,t),y(ue.$$.fragment,t),y(Oe.$$.fragment,t),y(ze.$$.fragment,t),y(Ue.$$.fragment,t),y(ge.$$.fragment,t),y(Fe.$$.fragment,t),y(Be.$$.fragment,t),y(He.$$.fragment,t),y(Re.$$.fragment,t),y(Ke.$$.fragment,t),y(ve.$$.fragment,t),y(Xe.$$.fragment,t),y(Ye.$$.fragment,t),y(Je.$$.fragment,t),y(et.$$.fragment,t),y(it.$$.fragment,t),y(we.$$.fragment,t),y(nt.$$.fragment,t),y(st.$$.fragment,t),tn=!1},d(t){i(g),t&&i($),t&&i(_),x(o),t&&i(Li),t&&i(ne),t&&i(Mi),t&&i(dt),t&&i(Gi),t&&i(pt),t&&i(Ci),t&&i(K),x($e),t&&i(Ni),t&&i(ct),t&&i(Oi),t&&i(X),x(Ie),t&&i(zi),t&&i(L),t&&i(Ai),t&&i(_t),t&&i(Ui),t&&i(vt),t&&i(Fi),t&&i(G),t&&i(Bi),t&&i(Y),x(Ee),t&&i(Wi),t&&i(V),t&&i(Hi),x(qe,t),t&&i(Ri),t&&i(Z),x(Se),t&&i(Qi),t&&i(k),x(Le),x(Ge),x(ce),x(Ce),x(fe),x(Ne),x(ue),t&&i(Ki),t&&i(J),x(Oe),t&&i(Xi),t&&i(j),x(ze),x(Ue),x(ge),x(Fe),x(Be),t&&i(Yi),t&&i(ee),x(He),t&&i(Zi),t&&i(E),x(Re),x(Ke),x(ve),x(Xe),x(Ye),t&&i(Ji),t&&i(te),x(Je),t&&i(en),t&&i(q),x(et),x(it),x(we),x(nt),x(st)}}}const Gr={local:"versatilediffusion",sections:[{local:"tips",sections:[{local:"run-versatilediffusion",title:"*Run VersatileDiffusion*"},{local:"how-to-load-and-use-different-schedulers",title:"*How to load and use different schedulers.*"}],title:"Tips"},{local:"diffusers.VersatileDiffusionPipeline",title:"VersatileDiffusionPipeline"},{local:"diffusers.VersatileDiffusionTextToImagePipeline",title:"VersatileDiffusionTextToImagePipeline"},{local:"diffusers.VersatileDiffusionImageVariationPipeline",title:"VersatileDiffusionImageVariationPipeline"},{local:"diffusers.VersatileDiffusionDualGuidedPipeline",title:"VersatileDiffusionDualGuidedPipeline"}],title:"VersatileDiffusion"};function Cr(S){return kr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fr extends Pr{constructor(g){super();$r(this,g,Cr,Mr,Vr,{})}}export{Fr as default,Gr as metadata};
